package com.qianhe.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;

/**
 * 经验共享-文章管理附件对象 jygx_wzglfj
 *
 * @author qianhe
 * @date 2024-07-29
 */
public class JygxWzglfj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long fjid;

    /** 文章id */
    @Excel(name = "文章id")
    private Long wzid;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String fileName;

    /** 附件地址 */
    @Excel(name = "附件地址")
    private String accessoryUrl;

    /** 附件类型 */
    @Excel(name = "附件类型")
    private String accessoryType;

    public void setFjid(Long fjid)
    {
        this.fjid = fjid;
    }

    public Long getFjid()
    {
        return fjid;
    }
    public void setWzid(Long wzid)
    {
        this.wzid = wzid;
    }

    public Long getWzid()
    {
        return wzid;
    }
    public void setFileName(String fileName)
    {
        this.fileName = fileName;
    }

    public String getFileName()
    {
        return fileName;
    }
    public void setAccessoryUrl(String accessoryUrl)
    {
        this.accessoryUrl = accessoryUrl;
    }

    public String getAccessoryUrl()
    {
        return accessoryUrl;
    }
    public void setAccessoryType(String accessoryType)
    {
        this.accessoryType = accessoryType;
    }

    public String getAccessoryType()
    {
        return accessoryType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fjid", getFjid())
            .append("wzid", getWzid())
            .append("fileName", getFileName())
            .append("accessoryUrl", getAccessoryUrl())
            .append("accessoryType", getAccessoryType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
